#include<bits/stdc++.h>
using namespace std;
string T,Y;
bool U[5];
int br;
int main(){
  cin>>T;
  for(int i = T.size()-1;i>=0;i--){
    Y+=(T[i]);
  }
  if(Y==T){
    cout<<"1"<<endl;
  }
  else{
   for(int i = 1;i<=T.size();i++){
    if(T[i]!=Y[i]){
      swap(T[i],T[i+1]);
      br++;
      Y="";
      for(int j = T.size()-1;j>=0;j--){
        Y+=(T[j]);
      }
    }
   }
   cout<<T;
  }
  return 0;
}